Loading...
Searching...
No Matches
XrdXrootdMonFileHdr Struct Reference

`#include <XrdXrootdMonData.hh>`

Collaboration diagram for XrdXrootdMonFileHdr:

## Public Types

enum | recFval { forced =0x01 , hasOPS =0x02 , hasSSQ =0x04 , hasCSE =0x04 , hasLFN =0x01 , hasRW =0x02 , hasSID =0x01 }
enum | recTval { isClose = 0 , isOpen , isTime , isXfr , isDisc }

## Public Attributes

union { |
kXR_unt32 | fileID
short | nRecs [2]
kXR_unt32 | userID
}; |
char | recFlag
short | recSize
char | recType

## Detailed Description

Definition at line 173 of file XrdXrootdMonData.hh.

## Member Enumeration Documentation

## recFval

enum XrdXrootdMonFileHdr::recFval

Enumerator
forced |
hasOPS |
hasSSQ |
hasCSE |
hasLFN |
hasRW |
hasSID |

Definition at line 182 of file XrdXrootdMonData.hh.

{forced =0x01, // If recFlag == isClose close due to disconnect
hasOPS =0x02, // If recFlag == isClose MonStatXFR + MonStatOPS
hasSSQ =0x04, // If recFlag == isClose XFR + OPS + MonStatSSQ
hasCSE =0x04, // If recFlag == isClose XFR + OPS + MonStatSSQ
hasLFN =0x01, // If recFlag == isOpen the lfn is present
hasRW =0x02, // If recFlag == isOpen file opened r/w
hasSID =0x01 // if recFlag == isTime sID is present (new rec)
};
XrdXrootdMonFileHdr::hasRW
@ hasRW
Definition XrdXrootdMonData.hh:187
XrdXrootdMonFileHdr::hasOPS
@ hasOPS
Definition XrdXrootdMonData.hh:183
XrdXrootdMonFileHdr::forced
@ forced
Definition XrdXrootdMonData.hh:182
XrdXrootdMonFileHdr::hasLFN
@ hasLFN
Definition XrdXrootdMonData.hh:186
XrdXrootdMonFileHdr::hasSSQ
@ hasSSQ
Definition XrdXrootdMonData.hh:184
XrdXrootdMonFileHdr::hasCSE
@ hasCSE
Definition XrdXrootdMonData.hh:185
XrdXrootdMonFileHdr::hasSID
@ hasSID
Definition XrdXrootdMonData.hh:188

## recTval

enum XrdXrootdMonFileHdr::recTval

Enumerator
isClose |
isOpen |
isTime |
isXfr |
isDisc |

Definition at line 175 of file XrdXrootdMonData.hh.

{isClose = 0, // Record for close
isOpen, // Record for open
isTime, // Record for time
isXfr, // Record for transfers
isDisc // Record for disconnection
};
XrdXrootdMonFileHdr::isDisc
@ isDisc
Definition XrdXrootdMonData.hh:179
XrdXrootdMonFileHdr::isXfr
@ isXfr
Definition XrdXrootdMonData.hh:178
XrdXrootdMonFileHdr::isTime
@ isTime
Definition XrdXrootdMonData.hh:177
XrdXrootdMonFileHdr::isOpen
@ isOpen
Definition XrdXrootdMonData.hh:176
XrdXrootdMonFileHdr::isClose
@ isClose
Definition XrdXrootdMonData.hh:175

## Member Data Documentation

## [union]

union { ... } XrdXrootdMonFileHdr

## recFlag

char XrdXrootdMonFileHdr::recFlag

Definition at line 192 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonFile::Close(), XrdXrootdMonFile::Disc(), and XrdXrootdMonFile::Open().

## recSize

short XrdXrootdMonFileHdr::recSize

Definition at line 193 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonFile::Close(), XrdXrootdMonFile::Disc(), and XrdXrootdMonFile::Open().

## recType

char XrdXrootdMonFileHdr::recType

Definition at line 191 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonFile::Close(), XrdXrootdMonFile::Disc(), and XrdXrootdMonFile::Open().

The documentation for this struct was generated from the following file:

- XrdXrootdMonData.hh